#include <stdio.h>
#include <math.h>
int maximum(int a,int b);
main()
{
unsigned int x,y,max=0,stepen=0,rez=0,isti=0;
do
{
   printf("unesi prirodni broj x u opsegu od 1 do 10^9:");
   scanf("%d",&x);
}
while(x>pow(10,9) || x<1);
do
{
   printf("unesi prirodni broj y u opsegu od 1 do 10^9:");
   scanf("%d",&y);
}
while(y>pow(10,9) || y<1);
while(x!=0 || y!=0)
{
    if(x%10==y%10)
    {
      max=(x%10)*10+x%10;
      isti=1;
    }
     else
     {
        max=maximum(x%10,y%10);
     }
     rez=rez+max*pow(10,stepen);
     if(isti==1 && x!=0 && y!=0)
     {
         stepen=stepen+2;
     }
     else
     {
         stepen++;
     }
     isti=0;
     x=x/10;
     y=y/10;
}
    printf("Novodobijeni broj je: %d",rez);
}
int maximum(int a,int b)
{
  if(a>b)
  return a;
  else
  return b;
}